Subject: Re: [PATCH v2 06/10] t7006: add tests for how git tag paginates

From: Junio C Hamano <[email-masked]>
Date: Mon, 31 Jul 2017 09:37:26 -0700

Jeff King <[email-masked]> writes:

> But here...
>
>> +test_expect_success TTY 'git tag -a respects pager.tag' '
>> +	test_when_finished "git tag -d newtag" &&
>> +	rm -f paginated.out &&
>> +	test_terminal git -c pager.tag tag -am message newtag &&
>> +	test -e paginated.out
>> +'
>
> I think this behavior is just buggy, and it might be better introduced
> as a test_expect_failure on "git tag -a does not respect pager.tag".
>
> Kind of a minor nit, as the series should end up in the right place
> either way, but it can be helpful if you end up digging back in history
> to the introduction of the test.

Yes, I think that is essentially the same reaction I had to patches
7 and 8, where it carries the "buggy" behaviour forward and then
fixes it.  The way the series lays groundwork to introduce a
mechanism that can be used to address this behaviour in its earlier
patches strongly suggests to the users that this is considered a bug
by the author of the series to the user from early on, so adding
this as "expect failure" and then flip it to "expect success" when
the bug is fixed would be a more natural sequence of changes.

Thanks.